<?php
require'fun.php';
$nume=ucfirst(mb_strtolower($_POST['nume']));
$titlu='Salvează nume';
$back[1]='<a href="/setari">'.img('setari.png',2).'Setări</a>';
require'f_sus.php';
require'f_mut.php';
if($conn->query('SELECT COUNT(*)FROM`istoric_nume`WHERE`de`="'.$de.'"&&`valid`>0')->fetch_row()[0]>0)
{
$verific=$conn->query('SELECT`data`,`valid`FROM`istoric_nume`WHERE`de`="'.$de.'"ORDER BY`id`DESC LIMIT 1')->fetch_row();
$timp=$verific[0]+(7*86400);
require'f_ramas.php';
$potimsg=ramas($timp-$_SERVER['REQUEST_TIME']);
}
else
$timp=1;
require'f_verifica_nume.php';
if($nume=='')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai scris nimic, trebuie să completezi acel camp!';
elseif(preg_match('/[^a-z0-9ăâîșțşţ_-]/i',$nume))
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Poti folosi DOAR literele <strong>A-Za-z</strong>, diacriticile <strong>ĂăÂâÎîȘșȚțŞşŢţ</strong>, numerele <strong>0-9</strong> sau caracterele _ și - în noul nume!';
elseif(preg_match('/[^a-z]/i',$nume[0]))
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Numele trebuie să înceapă cu o litera <strong>A-Za-z</strong>!';
elseif(preg_match('/[^a-z0-9]/i',$nume[-1]))
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Noul nume trebuie să se încheie cu o litera <strong>A-Za-z</strong> sau o cifră <strong>0-9</strong>!'.$div[0];
elseif(verifica_nume($nume)==1)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Numele <strong>'.$nume.'</strong> este rezervat!';
elseif(verifica_nume($nume)==2)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Numele <strong>'.$nume.'</strong> este blocat pentru înregistrare!';
elseif($timp>$_SERVER['REQUEST_TIME'])
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Poti schimba numele o data la 7 zile!<br />Urmatoarea schimbare a numelui, o poți face peste <strong>'.$potimsg.'</strong>';
elseif($conn->query('SELECT COUNT(*)FROM`istoric_nume`WHERE`de`="'.$de.'"&&`valid`="0"')->fetch_row()[0]>0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Ai trimis o cerere de schimbare a numelui!';
elseif($conn->query('SELECT COUNT(*)FROM`membrii`WHERE`nume`="'.$nume.'"')->fetch_row()[0]>0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest nume este ales de alt membru, alege altul!';
else
echo($conn->query('INSERT INTO`istoric_nume`SET`nume`="'.$nume.'",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`valid`="0"')?$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Cererea pentru schimbarea numelui a fost trimisa cu succes!<br />Te rugam sa astepti verificarea și validarea noului nume!':$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7]);
echo$div[0];
require'f_jos.php';